edu.isi.pegasus.planner.catalog.transformation.impl

## Class Abstract

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.impl.Abstract

All Implemented Interfaces:
  Catalog, TransformationCatalog

Direct Known Subclasses:
  File, Text

    public abstract class Abstract
    extends java.lang.Object
    implements TransformationCatalog

An abstract base class that provides useful methods for all the TransformationCatalog Implementations to use.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

### Fields inherited from interface edu.isi.pegasus.planner.catalog.TransformationCatalog

`MODIFY_FOR_FILE_URLS_KEY, VERSION`

### Fields inherited from interface edu.isi.pegasus.planner.catalog.Catalog

`DB_ALL_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`Abstract()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `modifyForFileURLS(java.lang.String pfn, java.lang.String type)` Modifies a Transformation Catalog Entry to handle file URL's.
`static TransformationCatalogEntry` `modifyForFileURLS(TransformationCatalogEntry entry)` Modifies a Transformation Catalog Entry to handle file URL's.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.isi.pegasus.planner.catalog.TransformationCatalog

`addLFNProfile, addPFNProfile, clear, deleteLFNProfiles, deletePFNProfiles, getContents, getDescription, getTCLogicalNames, initialize, insert, insert, insert, insert, lookup, lookup, lookupLFNProfiles, lookupNoProfiles, lookupPFNProfiles, lookupSites, removeByLFN, removeByPFN, removeBySiteID, removeBySysInfo, removeByType`

### Methods inherited from interface edu.isi.pegasus.planner.catalog.Catalog

`close, connect, isClosed`

### Constructor Detail

#### Abstract

    public Abstract()

### Method Detail

#### modifyForFileURLS

    public static TransformationCatalogEntry modifyForFileURLS(TransformationCatalogEntry entry)

Modifies a Transformation Catalog Entry to handle file URL's. A file URL if specified for the physical path is converted to an absolute path if the type of entry is set to INSTALLED. Alternately it modifies the TC to handle absolute file paths by converting them to file URL if the type of entry is set to STAGEABLE.

Parameters:
  `entry` - the transformation catalog entry object.
Returns:
  the TransformationCatalogEntry object.

#### modifyForFileURLS

    public static java.lang.String modifyForFileURLS(java.lang.String pfn,
                                                     java.lang.String type)

Modifies a Transformation Catalog Entry to handle file URL's. A file URL if specified for the physical path is converted to an absolute path if the type of entry is set to INSTALLED. Alternately it modifies the TC to handle absolute file paths by converting them to file URL if the type of entry is set to STAGEABLE.

Parameters:
  `pfn` - The PFN to modify
  `type` - The type of PFN
Returns:
  the Transformed PFN.